<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>split_in_array &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>split_in_array
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.6% of total for procedures.">109 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">split_in_array</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine split_in_array(input_line, array, delimiters, order, nulls)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>split_in_array(3f) - [M_strings:TOKENS] parse string into an array using specified delimiters
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>subroutine split_in_array(input_line,array,delimiters,order,nulls)

 character(len=*),intent(in)              :: input_line
 character(len=*),allocatable,intent(out) :: array(:)
 character(len=*),optional,intent(in)     :: delimiters
 character(len=*),optional,intent(in)     :: order
 character(len=*),optional,intent(in)     :: nulls
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code> split_in_array(3f) parses a string using specified delimiter characters and
 store tokens into an allocatable array
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code><span class="n">INPUT_LINE</span>  <span class="n">Input</span> <span class="n">string</span> <span class="n">to</span> <span class="n">tokenize</span>

<span class="kr">ARRAY</span>       <span class="n">Output</span> <span class="n">array</span> <span class="n">of</span> <span class="n">tokens</span>

<span class="n">DELIMITERS</span>  <span class="n">List</span> <span class="n">of</span> <span class="n">delimiter</span> <span class="n">characters</span><span class="p">.</span>
            <span class="n">The</span> <span class="n">default</span> <span class="n">delimiters</span> <span class="n">are</span> <span class="n">the</span> <span class="s">&quot;whitespace&quot;</span> <span class="n">characters</span>
            <span class="p">(</span><span class="n">space</span><span class="p">,</span> <span class="n">tab</span><span class="p">,</span><span class="n">new</span> <span class="n">line</span><span class="p">,</span> <span class="n">vertical</span> <span class="n">tab</span><span class="p">,</span> <span class="n">formfeed</span><span class="p">,</span> <span class="n">carriage</span>
            <span class="n">return</span><span class="p">,</span> <span class="n">and</span> <span class="n">null</span><span class="p">).</span> <span class="n">You</span> <span class="n">may</span> <span class="n">specify</span> <span class="n">an</span> <span class="n">alternate</span> <span class="n">set</span> <span class="n">of</span>
            <span class="n">delimiter</span> <span class="n">characters</span><span class="p">.</span>

            <span class="n">Multi</span><span class="o">-</span><span class="n">character</span> <span class="n">delimiters</span> <span class="n">are</span> <span class="n">not</span> <span class="n">supported</span> <span class="p">(</span><span class="n">Each</span>
            <span class="n">character</span> <span class="n">in</span> <span class="n">the</span> <span class="n">DELIMITERS</span> <span class="n">list</span> <span class="n">is</span> <span class="n">considered</span> <span class="n">to</span> <span class="n">be</span>
            <span class="n">a</span> <span class="n">delimiter</span><span class="p">).</span>

            <span class="n">Quoting</span> <span class="n">of</span> <span class="n">delimiter</span> <span class="n">characters</span> <span class="n">is</span> <span class="n">not</span> <span class="n">supported</span><span class="p">.</span>

<span class="n">ORDER</span> <span class="n">SEQUENTIAL</span><span class="p">|</span><span class="n">REVERSE</span><span class="p">|</span><span class="n">RIGHT</span>  <span class="n">Order</span> <span class="n">of</span> <span class="n">output</span> <span class="n">array</span><span class="p">.</span>
            <span class="n">By</span> <span class="n">default</span> <span class="kr">ARRAY</span> <span class="n">contains</span> <span class="n">the</span> <span class="n">tokens</span> <span class="n">having</span> <span class="n">parsed</span>
            <span class="n">the</span> <span class="n">INPUT_LINE</span> <span class="n">from</span> <span class="n">left</span> <span class="n">to</span> <span class="n">right</span><span class="p">.</span> <span class="n">If</span> <span class="n">ORDER</span><span class="o">=</span><span class="s">&#39;RIGHT&#39;</span>
            <span class="n">or</span> <span class="n">ORDER</span><span class="o">=</span><span class="s">&#39;REVERSE&#39;</span> <span class="n">the</span> <span class="n">parsing</span> <span class="n">goes</span> <span class="n">from</span> <span class="n">right</span> <span class="n">to</span> <span class="n">left</span><span class="p">.</span>

<span class="n">NULLS</span> <span class="n">IGNORE</span><span class="p">|</span><span class="kr">RETURN</span><span class="p">|</span><span class="n">IGNOREEND</span>  <span class="n">Treatment</span> <span class="n">of</span> <span class="n">null</span> <span class="n">fields</span><span class="p">.</span>
            <span class="n">By</span> <span class="n">default</span> <span class="n">adjacent</span> <span class="n">delimiters</span> <span class="n">in</span> <span class="n">the</span> <span class="n">input</span> <span class="n">string</span>
            <span class="n">do</span> <span class="n">not</span> <span class="n">create</span> <span class="n">an</span> <span class="n">void</span> <span class="n">string</span> <span class="n">in</span> <span class="n">the</span> <span class="n">output</span> <span class="n">array</span><span class="p">.</span> <span class="n">if</span>
            <span class="n">NULLS</span><span class="o">=</span><span class="s">&#39;return&#39;</span> <span class="n">adjacent</span> <span class="n">delimiters</span> <span class="n">create</span> <span class="n">an</span> <span class="n">void</span> <span class="n">element</span>
            <span class="n">in</span> <span class="n">the</span> <span class="n">output</span> <span class="kr">ARRAY</span><span class="p">.</span> <span class="n">If</span> <span class="n">NULLS</span><span class="o">=</span><span class="s">&#39;ignoreend&#39;</span> <span class="n">then</span> <span class="n">only</span>
            <span class="n">trailing</span> <span class="n">delimiters</span> <span class="n">at</span> <span class="n">the</span> <span class="n">right</span> <span class="n">of</span> <span class="n">the</span> <span class="n">string</span> <span class="n">are</span> <span class="n">ignored</span><span class="p">.</span>
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_split_in_array</span>
<span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span>: <span class="nv">split_in_array</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=*</span><span class="ss">)</span>,<span class="nv">parameter</span>     :: <span class="o">&amp;</span>
<span class="o">&amp;</span> <span class="nv">line</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">  aBcdef   ghijklmnop qrstuvwxyz  1:|:2     333|333 a B cc    </span><span class="s1">&#39;</span>
<span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">256</span><span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">array</span><span class="ss">(</span>:<span class="ss">)</span> <span class="o">!</span> <span class="nv">output</span> <span class="nv">array</span> <span class="nv">of</span> <span class="nv">tokens</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">INPUT LINE:[</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">LINE</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(80(&quot;=&quot;))</span><span class="s1">&#39;</span><span class="ss">)</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">typical call:</span><span class="s1">&#39;</span>
   <span class="k">CALL</span> <span class="nl">split_in_array</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">array</span><span class="ss">)</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(i0,&quot; ==&gt; &quot;,a)</span><span class="s1">&#39;</span><span class="ss">)(</span><span class="nv">i</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">array</span><span class="ss">(</span><span class="nv">i</span><span class="ss">))</span>,<span class="nv">i</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">size</span><span class="ss">(</span><span class="nv">array</span><span class="ss">))</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">SIZE:</span><span class="s1">&#39;</span>,<span class="nv">SIZE</span><span class="ss">(</span><span class="nv">array</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(80(&quot;-&quot;))</span><span class="s1">&#39;</span><span class="ss">)</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">custom list of delimiters (colon and vertical line):</span><span class="s1">&#39;</span>
 <span class="k">CALL</span> <span class="nl">split_in_array</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">array</span>,<span class="nv">delimiters</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">:|</span><span class="s1">&#39;</span>,<span class="nv">order</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">sequential</span><span class="s1">&#39;</span>,<span class="nv">nulls</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">ignore</span><span class="s1">&#39;</span><span class="ss">)</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(i0,&quot; ==&gt; &quot;,a)</span><span class="s1">&#39;</span><span class="ss">)(</span><span class="nv">i</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">array</span><span class="ss">(</span><span class="nv">i</span><span class="ss">))</span>,<span class="nv">i</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">size</span><span class="ss">(</span><span class="nv">array</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">SIZE:</span><span class="s1">&#39;</span>,<span class="nv">SIZE</span><span class="ss">(</span><span class="nv">array</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(80(&quot;-&quot;))</span><span class="s1">&#39;</span><span class="ss">)</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">custom list of delimiters, reverse array order and count null fields:</span><span class="s1">&#39;</span>
   <span class="k">CALL</span> <span class="nl">split_in_array</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">array</span>,<span class="nv">delimiters</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">:|</span><span class="s1">&#39;</span>,<span class="nv">order</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">reverse</span><span class="s1">&#39;</span>,<span class="nv">nulls</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">return</span><span class="s1">&#39;</span><span class="ss">)</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(i0,&quot; ==&gt; &quot;,a)</span><span class="s1">&#39;</span><span class="ss">)(</span><span class="nv">i</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">array</span><span class="ss">(</span><span class="nv">i</span><span class="ss">))</span>,<span class="nv">i</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">size</span><span class="ss">(</span><span class="nv">array</span><span class="ss">))</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">SIZE:</span><span class="s1">&#39;</span>,<span class="nv">SIZE</span><span class="ss">(</span><span class="nv">array</span><span class="ss">)</span>
<span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(80(&quot;-&quot;))</span><span class="s1">&#39;</span><span class="ss">)</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">INPUT LINE:[</span><span class="s1">&#39;</span><span class="o">//</span><span class="nv">LINE</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">]</span><span class="s1">&#39;</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="o">&amp;</span>
   <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">default delimiters and reverse array order and return null fields:</span><span class="s1">&#39;</span>
   <span class="k">CALL</span> <span class="nl">split_in_array</span><span class="ss">(</span><span class="nv">line</span>,<span class="nv">array</span>,<span class="nv">delimiters</span><span class="o">=</span><span class="s1">&#39;&#39;</span>,<span class="nv">order</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">reverse</span><span class="s1">&#39;</span>,<span class="nv">nulls</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">return</span><span class="s1">&#39;</span><span class="ss">)</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(i0,&quot; ==&gt; &quot;,a)</span><span class="s1">&#39;</span><span class="ss">)(</span><span class="nv">i</span>,<span class="nv">trim</span><span class="ss">(</span><span class="nv">array</span><span class="ss">(</span><span class="nv">i</span><span class="ss">))</span>,<span class="nv">i</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">size</span><span class="ss">(</span><span class="nv">array</span><span class="ss">))</span>
   <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">SIZE:</span><span class="s1">&#39;</span>,<span class="nv">SIZE</span><span class="ss">(</span><span class="nv">array</span><span class="ss">)</span>
<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_split_in_array</span>
</code></pre></div>

<p>Output</p>
<div class="codehilite"><pre><span></span><code><span class="o">&gt;</span> <span class="nv">INPUT</span> <span class="nv">LINE</span>:[  <span class="nv">aBcdef</span>   <span class="nv">ghijklmnop</span> <span class="nv">qrstuvwxyz</span>  <span class="mi">1</span>:<span class="o">|</span>:<span class="mi">2</span>     <span class="mi">333</span><span class="o">|</span><span class="mi">333</span> <span class="nv">a</span> <span class="nv">B</span> <span class="nv">cc</span>    ]
<span class="o">&gt;</span> <span class="o">===========================================================================</span>
<span class="o">&gt;</span>  <span class="nv">typical</span> <span class="nv">call</span>:
<span class="o">&gt;</span> <span class="mi">1</span> <span class="o">==&gt;</span> <span class="nv">aBcdef</span>
<span class="o">&gt;</span> <span class="mi">2</span> <span class="o">==&gt;</span> <span class="nv">ghijklmnop</span>
<span class="o">&gt;</span> <span class="mi">3</span> <span class="o">==&gt;</span> <span class="nv">qrstuvwxyz</span>
<span class="o">&gt;</span> <span class="mi">4</span> <span class="o">==&gt;</span> <span class="mi">1</span>:<span class="o">|</span>:<span class="mi">2</span>
<span class="o">&gt;</span> <span class="mi">5</span> <span class="o">==&gt;</span> <span class="mi">333</span><span class="o">|</span><span class="mi">333</span>
<span class="o">&gt;</span> <span class="mi">6</span> <span class="o">==&gt;</span> <span class="nv">a</span>
<span class="o">&gt;</span> <span class="mi">7</span> <span class="o">==&gt;</span> <span class="nv">B</span>
<span class="o">&gt;</span> <span class="mi">8</span> <span class="o">==&gt;</span> <span class="nv">cc</span>
<span class="o">&gt;</span>  <span class="nv">SIZE</span>:           <span class="mi">8</span>
<span class="o">&gt;</span> <span class="o">--------------------------------------------------------------------------</span>
<span class="o">&gt;</span>  <span class="nv">custom</span> <span class="nv">list</span> <span class="nv">of</span> <span class="nv">delimiters</span> <span class="ss">(</span><span class="nv">colon</span> <span class="nv">and</span> <span class="nv">vertical</span> <span class="nv">line</span><span class="ss">)</span>:
<span class="o">&gt;</span> <span class="mi">1</span> <span class="o">==&gt;</span>   <span class="nv">aBcdef</span>   <span class="nv">ghijklmnop</span> <span class="nv">qrstuvwxyz</span>  <span class="mi">1</span>
<span class="o">&gt;</span> <span class="mi">2</span> <span class="o">==&gt;</span> <span class="mi">2</span>     <span class="mi">333</span>
<span class="o">&gt;</span> <span class="mi">3</span> <span class="o">==&gt;</span> <span class="mi">333</span> <span class="nv">a</span> <span class="nv">B</span> <span class="nv">cc</span>
<span class="o">&gt;</span>  <span class="nv">SIZE</span>:           <span class="mi">3</span>
<span class="o">&gt;</span> <span class="o">--------------------------------------------------------------------------</span>
<span class="o">&gt;</span>  <span class="nv">custom</span> <span class="nv">list</span> <span class="nv">of</span> <span class="nv">delimiters</span>, <span class="nv">reverse</span> <span class="nv">array</span> <span class="nv">order</span> <span class="nv">and</span> <span class="k">return</span> <span class="nv">null</span> <span class="nv">fields</span>:
<span class="o">&gt;</span> <span class="mi">1</span> <span class="o">==&gt;</span> <span class="mi">333</span> <span class="nv">a</span> <span class="nv">B</span> <span class="nv">cc</span>
<span class="o">&gt;</span> <span class="mi">2</span> <span class="o">==&gt;</span> <span class="mi">2</span>     <span class="mi">333</span>
<span class="o">&gt;</span> <span class="mi">3</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">4</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">5</span> <span class="o">==&gt;</span>   <span class="nv">aBcdef</span>   <span class="nv">ghijklmnop</span> <span class="nv">qrstuvwxyz</span>  <span class="mi">1</span>
<span class="o">&gt;</span>  <span class="nv">SIZE</span>:           <span class="mi">5</span>
<span class="o">&gt;</span> <span class="o">--------------------------------------------------------------------------</span>
<span class="o">&gt;</span>  <span class="nv">INPUT</span> <span class="nv">LINE</span>:[  <span class="nv">aBcdef</span>   <span class="nv">ghijklmnop</span> <span class="nv">qrstuvwxyz</span>  <span class="mi">1</span>:<span class="o">|</span>:<span class="mi">2</span>     <span class="mi">333</span><span class="o">|</span><span class="mi">333</span> <span class="nv">a</span> <span class="nv">B</span> <span class="nv">cc</span>    ]
<span class="o">&gt;</span>  <span class="nv">default</span> <span class="nv">delimiters</span> <span class="nv">and</span> <span class="nv">reverse</span> <span class="nv">array</span> <span class="nv">order</span> <span class="nv">and</span> <span class="nv">count</span> <span class="nv">null</span> <span class="nv">fields</span>:
<span class="o">&gt;</span> <span class="mi">1</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">2</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">3</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">4</span> <span class="o">==&gt;</span> <span class="nv">cc</span>
<span class="o">&gt;</span> <span class="mi">5</span> <span class="o">==&gt;</span> <span class="nv">B</span>
<span class="o">&gt;</span> <span class="mi">6</span> <span class="o">==&gt;</span> <span class="nv">a</span>
<span class="o">&gt;</span> <span class="mi">7</span> <span class="o">==&gt;</span> <span class="mi">333</span><span class="o">|</span><span class="mi">333</span>
<span class="o">&gt;</span> <span class="mi">8</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">9</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">10</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">11</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">12</span> <span class="o">==&gt;</span> <span class="mi">1</span>:<span class="o">|</span>:<span class="mi">2</span>
<span class="o">&gt;</span> <span class="mi">13</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">14</span> <span class="o">==&gt;</span> <span class="nv">qrstuvwxyz</span>
<span class="o">&gt;</span> <span class="mi">15</span> <span class="o">==&gt;</span> <span class="nv">ghijklmnop</span>
<span class="o">&gt;</span> <span class="mi">16</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">17</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">18</span> <span class="o">==&gt;</span> <span class="nv">aBcdef</span>
<span class="o">&gt;</span> <span class="mi">19</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span> <span class="mi">20</span> <span class="o">==&gt;</span>
<span class="o">&gt;</span>  <span class="nv">SIZE</span>:          <span class="mi">20</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-input_line"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>input_line</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-array%7E4"></span>character(len=*),</td>
  <td>intent(out),</td>
  <td></td>
  
  <td>allocatable</td><td>::</td>
  <td><strong>array</strong>(:)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-delimiters%7E3"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>delimiters</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-order"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>order</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nulls"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>nulls</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~split_in_array~~CallsGraph Pages: 1 -->
<svg id="procsplit_in_arrayCallsGraph" width="174pt" height="32pt"
 viewBox="0.00 0.00 174.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~split_in_array~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~split_in_array~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 170,-28 170,4 -4,4"/>
<!-- proc~split_in_array -->
<g id="proc~~split_in_array~~CallsGraph_node1" class="node">
<title>proc~split_in_array</title>
<polygon fill="none" stroke="#000000" points="76,-24 0,-24 0,0 76,0 76,-24"/>
<text text-anchor="middle" x="38" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">split_in_array</text>
</g>
<!-- proc~lower -->
<g id="proc~~split_in_array~~CallsGraph_node2" class="node">
<title>proc~lower</title>
<g id="a_proc~~split_in_array~~CallsGraph_node2"><a xlink:href=".././proc/lower.html" xlink:title="lower">
<polygon fill="#d94e8f" stroke="#d94e8f" points="166,-24 112,-24 112,0 166,0 166,-24"/>
<text text-anchor="middle" x="139" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lower</text>
</a>
</g>
</g>
<!-- proc~split_in_array&#45;&gt;proc~lower -->
<g id="proc~~split_in_array~~CallsGraph_edge1" class="edge">
<title>proc~split_in_array&#45;&gt;proc~lower</title>
<path fill="none" stroke="#000000" d="M76.1838,-12C84.5107,-12 93.3135,-12 101.6092,-12"/>
<polygon fill="#000000" stroke="#000000" points="101.7719,-15.5001 111.7719,-12 101.7719,-8.5001 101.7719,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~split_in_array~~CalledByGraph Pages: 1 -->
<svg id="procsplit_in_arrayCalledByGraph" width="262pt" height="536pt"
 viewBox="0.00 0.00 262.00 536.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~split_in_array~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 532)">
<title>proc~~split_in_array~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-532 258,-532 258,4 -4,4"/>
<!-- proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_node1" class="node">
<title>proc~split_in_array</title>
<polygon fill="none" stroke="#000000" points="254,-276 178,-276 178,-252 254,-252 254,-276"/>
<text text-anchor="middle" x="216" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">split_in_array</text>
</g>
<!-- proc~setmonitorslist -->
<g id="proc~~split_in_array~~CalledByGraph_node2" class="node">
<title>proc~setmonitorslist</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node2"><a xlink:href=".././proc/setmonitorslist.html" xlink:title="setMonitorsList">
<polygon fill="#d9534f" stroke="#d9534f" points="113.5,-528 28.5,-528 28.5,-504 113.5,-504 113.5,-528"/>
<text text-anchor="middle" x="71" y="-513.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setMonitorsList</text>
</a>
</g>
</g>
<!-- proc~setmonitorslist&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge1" class="edge">
<title>proc~setmonitorslist&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M113.6286,-510.5223C123.9817,-507.4048 134.2798,-502.5489 142,-495 172.4996,-465.1773 201.0698,-337.8897 211.6636,-286.0749"/>
<polygon fill="#000000" stroke="#000000" points="215.1039,-286.7199 213.6456,-276.226 208.2415,-285.3389 215.1039,-286.7199"/>
</g>
<!-- proc~expressionparsing -->
<g id="proc~~split_in_array~~CalledByGraph_node3" class="node">
<title>proc~expressionparsing</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node3"><a xlink:href=".././proc/expressionparsing.html" xlink:title="expressionParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="120.5,-486 21.5,-486 21.5,-462 120.5,-462 120.5,-486"/>
<text text-anchor="middle" x="71" y="-471.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsing</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge2" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M120.6787,-465.6687C128.4713,-462.6569 135.9392,-458.5629 142,-453 191.2518,-407.794 208.1454,-325.7901 213.5917,-286.3571"/>
<polygon fill="#000000" stroke="#000000" points="217.092,-286.573 214.866,-276.2147 210.1466,-285.7003 217.092,-286.573"/>
</g>
<!-- proc~parsesplitoption -->
<g id="proc~~split_in_array~~CalledByGraph_node4" class="node">
<title>proc~parsesplitoption</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node4"><a xlink:href=".././proc/parsesplitoption.html" xlink:title="parseSplitOption">
<polygon fill="#d9534f" stroke="#d9534f" points="116.5,-444 25.5,-444 25.5,-420 116.5,-420 116.5,-444"/>
<text text-anchor="middle" x="71" y="-429.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">parseSplitOption</text>
</a>
</g>
</g>
<!-- proc~parsesplitoption&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge3" class="edge">
<title>proc~parsesplitoption&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M116.5635,-424.4972C125.6881,-421.4264 134.7003,-417.0988 142,-411 181.5962,-377.9182 202.152,-318.3606 210.8268,-286.1418"/>
<polygon fill="#000000" stroke="#000000" points="214.2464,-286.8958 213.3235,-276.3413 207.4631,-285.1677 214.2464,-286.8958"/>
</g>
<!-- proc~expressionparsingwithfield -->
<g id="proc~~split_in_array~~CalledByGraph_node5" class="node">
<title>proc~expressionparsingwithfield</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node5"><a xlink:href=".././proc/expressionparsingwithfield.html" xlink:title="expressionParsingWithField">
<polygon fill="#d9534f" stroke="#d9534f" points="142,-402 0,-402 0,-378 142,-378 142,-402"/>
<text text-anchor="middle" x="71" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsingWithField</text>
</a>
</g>
</g>
<!-- proc~expressionparsingwithfield&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge4" class="edge">
<title>proc~expressionparsingwithfield&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M125.883,-377.9046C131.591,-375.4574 137.0908,-372.5213 142,-369 172.2859,-347.2765 194.5666,-309.1667 206.3867,-285.3239"/>
<polygon fill="#000000" stroke="#000000" points="209.6555,-286.6007 210.8049,-276.0684 203.3383,-283.5852 209.6555,-286.6007"/>
</g>
<!-- proc~setboundaryvalue -->
<g id="proc~~split_in_array~~CalledByGraph_node6" class="node">
<title>proc~setboundaryvalue</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node6"><a xlink:href=".././proc/setboundaryvalue.html" xlink:title="setBoundaryValue">
<polygon fill="#d9534f" stroke="#d9534f" points="121,-360 21,-360 21,-336 121,-336 121,-360"/>
<text text-anchor="middle" x="71" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setBoundaryValue</text>
</a>
</g>
</g>
<!-- proc~setboundaryvalue&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge5" class="edge">
<title>proc~setboundaryvalue&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M121.3289,-335.9858C128.4641,-333.4665 135.5575,-330.4897 142,-327 163.0297,-315.6088 183.4588,-297.5169 197.5047,-283.6373"/>
<polygon fill="#000000" stroke="#000000" points="200.084,-286.0065 204.6146,-276.4291 195.1004,-281.0908 200.084,-286.0065"/>
</g>
<!-- proc~createmeshregions -->
<g id="proc~~split_in_array~~CalledByGraph_node7" class="node">
<title>proc~createmeshregions</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node7"><a xlink:href=".././proc/createmeshregions.html" xlink:title="createMeshRegions">
<polygon fill="#d9534f" stroke="#d9534f" points="124.5,-318 17.5,-318 17.5,-294 124.5,-294 124.5,-318"/>
<text text-anchor="middle" x="71" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">createMeshRegions</text>
</a>
</g>
</g>
<!-- proc~createmeshregions&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge6" class="edge">
<title>proc~createmeshregions&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M112.5512,-293.9645C129.9213,-288.9332 150.2092,-283.0567 168.1945,-277.8471"/>
<polygon fill="#000000" stroke="#000000" points="169.2849,-281.1752 177.9163,-275.0311 167.3373,-274.4516 169.2849,-281.1752"/>
</g>
<!-- proc~setsources -->
<g id="proc~~split_in_array~~CalledByGraph_node8" class="node">
<title>proc~setsources</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node8"><a xlink:href=".././proc/setsources.html" xlink:title="setSources">
<polygon fill="#d9534f" stroke="#d9534f" points="104,-276 38,-276 38,-252 104,-252 104,-276"/>
<text text-anchor="middle" x="71" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setSources</text>
</a>
</g>
</g>
<!-- proc~setsources&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge7" class="edge">
<title>proc~setsources&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M104.2659,-264C123.006,-264 146.7507,-264 167.5272,-264"/>
<polygon fill="#000000" stroke="#000000" points="167.7652,-267.5001 177.7652,-264 167.7651,-260.5001 167.7652,-267.5001"/>
</g>
<!-- proc~setibdict -->
<g id="proc~~split_in_array~~CalledByGraph_node9" class="node">
<title>proc~setibdict</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node9"><a xlink:href=".././proc/setibdict.html" xlink:title="setIBDict">
<polygon fill="#d9534f" stroke="#d9534f" points="98.5,-234 43.5,-234 43.5,-210 98.5,-210 98.5,-234"/>
<text text-anchor="middle" x="71" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setIBDict</text>
</a>
</g>
</g>
<!-- proc~setibdict&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge8" class="edge">
<title>proc~setibdict&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M98.6147,-229.9987C118.2428,-235.6841 145.1072,-243.4655 168.1832,-250.1496"/>
<polygon fill="#000000" stroke="#000000" points="167.2299,-253.5173 177.8089,-252.9377 169.1775,-246.7937 167.2299,-253.5173"/>
</g>
<!-- proc~s2vs -->
<g id="proc~~split_in_array~~CalledByGraph_node10" class="node">
<title>proc~s2vs</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node10"><a xlink:href=".././proc/s2vs.html" xlink:title="s2vs">
<polygon fill="#d94e8f" stroke="#d94e8f" points="98,-192 44,-192 44,-168 98,-168 98,-192"/>
<text text-anchor="middle" x="71" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2vs</text>
</a>
</g>
</g>
<!-- proc~s2vs&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge9" class="edge">
<title>proc~s2vs&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M98.3402,-185.2627C111.9886,-188.5798 128.4369,-193.6532 142,-201 163.0297,-212.3912 183.4588,-230.4831 197.5047,-244.3627"/>
<polygon fill="#000000" stroke="#000000" points="195.1004,-246.9092 204.6146,-251.5709 200.084,-241.9935 195.1004,-246.9092"/>
</g>
<!-- proc~fileparsing -->
<g id="proc~~split_in_array~~CalledByGraph_node11" class="node">
<title>proc~fileparsing</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node11"><a xlink:href=".././proc/fileparsing.html" xlink:title="fileParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="102,-150 40,-150 40,-126 102,-126 102,-150"/>
<text text-anchor="middle" x="71" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fileParsing</text>
</a>
</g>
</g>
<!-- proc~fileparsing&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge10" class="edge">
<title>proc~fileparsing&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M102.0171,-142.4935C115.2493,-145.5405 130.3015,-150.6089 142,-159 172.2859,-180.7235 194.5666,-218.8333 206.3867,-242.6761"/>
<polygon fill="#000000" stroke="#000000" points="203.3383,-244.4148 210.8049,-251.9316 209.6555,-241.3993 203.3383,-244.4148"/>
</g>
<!-- proc~setinternalfield -->
<g id="proc~~split_in_array~~CalledByGraph_node12" class="node">
<title>proc~setinternalfield</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node12"><a xlink:href=".././proc/setinternalfield.html" xlink:title="setInternalField">
<polygon fill="#d9534f" stroke="#d9534f" points="113.5,-108 28.5,-108 28.5,-84 113.5,-84 113.5,-108"/>
<text text-anchor="middle" x="71" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setInternalField</text>
</a>
</g>
</g>
<!-- proc~setinternalfield&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge11" class="edge">
<title>proc~setinternalfield&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M113.6023,-102.5503C123.7196,-105.6586 133.9111,-110.2419 142,-117 181.5962,-150.0818 202.152,-209.6394 210.8268,-241.8582"/>
<polygon fill="#000000" stroke="#000000" points="207.4631,-242.8323 213.3235,-251.6587 214.2464,-241.1042 207.4631,-242.8323"/>
</g>
<!-- proc~setsolveroptions -->
<g id="proc~~split_in_array~~CalledByGraph_node13" class="node">
<title>proc~setsolveroptions</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node13"><a xlink:href=".././proc/setsolveroptions.html" xlink:title="setSolverOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="118,-66 24,-66 24,-42 118,-42 118,-66"/>
<text text-anchor="middle" x="71" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setSolverOptions</text>
</a>
</g>
</g>
<!-- proc~setsolveroptions&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge12" class="edge">
<title>proc~setsolveroptions&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M118.1115,-61.3814C126.8209,-64.4652 135.2763,-68.8286 142,-75 191.2518,-120.206 208.1454,-202.2099 213.5917,-241.6429"/>
<polygon fill="#000000" stroke="#000000" points="210.1466,-242.2997 214.866,-251.7853 217.092,-241.427 210.1466,-242.2997"/>
</g>
<!-- proc~setequationsources -->
<g id="proc~~split_in_array~~CalledByGraph_node14" class="node">
<title>proc~setequationsources</title>
<g id="a_proc~~split_in_array~~CalledByGraph_node14"><a xlink:href=".././proc/setequationsources.html" xlink:title="setEquationSources">
<polygon fill="#d9534f" stroke="#d9534f" points="125,-24 17,-24 17,0 125,0 125,-24"/>
<text text-anchor="middle" x="71" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setEquationSources</text>
</a>
</g>
</g>
<!-- proc~setequationsources&#45;&gt;proc~split_in_array -->
<g id="proc~~split_in_array~~CalledByGraph_edge13" class="edge">
<title>proc~setequationsources&#45;&gt;proc~split_in_array</title>
<path fill="none" stroke="#000000" d="M125.2973,-21.8502C131.4537,-24.6858 137.2208,-28.3269 142,-33 172.4996,-62.8227 201.0698,-190.1103 211.6636,-241.9251"/>
<polygon fill="#000000" stroke="#000000" points="208.2415,-242.6611 213.6456,-251.774 215.1039,-241.2801 208.2415,-242.6611"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>